Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 1399003004: Move columns related properties into CSSPropertyParser (Closed)

Created:
2 years, 1 month ago by rwlbuis
Modified:
2 years, 1 month ago
CC:
chromium-reviews, blink-reviews-css, dglazkov+blink, apavlov+blink_chromium.org, darktears, blink-reviews, rwlbuis
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Move columns related properties into CSSPropertyParser Move columns related properties handling from LegacyCSSPropertyParser into CSSPropertyParser. BUG=499780 Committed: https://crrev.com/5aa812448783694851fe53024a6ba5bd04e89ca0 Cr-Commit-Position: refs/heads/master@{#354783}

Patch Set 1 #

Patch Set 2 : Fix ASSERTs #

Patch Set 3 : Add more column properties #

Patch Set 4 : Fix test failures #

Total comments: 6

Patch Set 5 : Introduce consumePositiveInteger #

Total comments: 2

Patch Set 6 : Remove cssParserMode param from consumeInteger #

Patch Set 7 : Rebase #

Total comments: 1

Patch Set 8 : Patch for landing #

Unified diffs Side-by-side diffs Delta from patch set Stats (+102 lines, -85 lines) Patch
M third_party/WebKit/Source/core/css/parser/CSSPropertyParser.h View 1 2 3 4 5 6 7 1 chunk +1 line, -3 lines 0 comments Download
M third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp View 1 2 3 4 5 6 7 10 chunks +96 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/core/css/parser/LegacyCSSPropertyParser.cpp View 1 2 3 4 5 6 7 4 chunks +5 lines, -76 lines 0 comments Download

Messages

Total messages: 12 (3 generated)
rwlbuis
PTAL, this groups various related columns properties in one CL.
2 years, 1 month ago (2015-10-12 20:01:01 UTC) #2
Timothy Loh
https://codereview.chromium.org/1399003004/diff/60001/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp File third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp (right): https://codereview.chromium.org/1399003004/diff/60001/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp#newcode697 third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp:697: if (range.peek().type() != NumberToken) I probably wouldn't bother with ...
2 years, 1 month ago (2015-10-13 00:30:03 UTC) #3
rwlbuis
https://codereview.chromium.org/1399003004/diff/60001/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp File third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp (right): https://codereview.chromium.org/1399003004/diff/60001/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp#newcode697 third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp:697: if (range.peek().type() != NumberToken) On 2015/10/13 00:30:03, Timothy Loh ...
2 years, 1 month ago (2015-10-13 02:27:02 UTC) #4
Timothy Loh
https://codereview.chromium.org/1399003004/diff/80001/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp File third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp (right): https://codereview.chromium.org/1399003004/diff/80001/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp#newcode172 third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp:172: static PassRefPtrWillBeRawPtr<CSSPrimitiveValue> consumeInteger(CSSParserTokenRange& range, CSSParserMode cssParserMode, double minimumValue = ...
2 years, 1 month ago (2015-10-15 06:59:38 UTC) #5
rwlbuis
https://codereview.chromium.org/1399003004/diff/80001/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp File third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp (right): https://codereview.chromium.org/1399003004/diff/80001/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp#newcode172 third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp:172: static PassRefPtrWillBeRawPtr<CSSPrimitiveValue> consumeInteger(CSSParserTokenRange& range, CSSParserMode cssParserMode, double minimumValue = ...
2 years, 1 month ago (2015-10-15 22:53:13 UTC) #6
Timothy Loh
lgtm https://codereview.chromium.org/1399003004/diff/120001/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp File third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp (right): https://codereview.chromium.org/1399003004/diff/120001/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp#newcode1414 third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp:1414: m_currentShorthand = oldShorthand; ok, but TODO to remove ...
2 years, 1 month ago (2015-10-19 04:56:00 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1399003004/140001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1399003004/140001
2 years, 1 month ago (2015-10-19 13:49:23 UTC) #10
commit-bot: I haz the power
Committed patchset #8 (id:140001)
2 years, 1 month ago (2015-10-19 16:26:21 UTC) #11
commit-bot: I haz the power
2 years, 1 month ago (2015-10-19 16:28:04 UTC) #12
Message was sent while issue was closed.
Patchset 8 (id:??) landed as
https://crrev.com/5aa812448783694851fe53024a6ba5bd04e89ca0
Cr-Commit-Position: refs/heads/master@{#354783}

Powered by Google App Engine
This is Rietveld efc10ee0f